import mysql from 'mysql2'

var env = process.env.NODE_ENV || 'testing';
const config = require('./config')[env]

// ==== USER ACOOUNT DB CONNECTION ====
var userConnection = mysql.createConnection({
    host: config.database.host,
    user: config.database.user,
    password: config.database.password,
    port: config.database.port,
    database: config.database.dbUser,
    multipleStatements: true
})

userConnection.connect(function(err) {
    if (err) throw err;
})
userConnection.query('USE '+config.database.dbUser)

// ==== PROJECT DB CONNECTION ====
var projectConnection = mysql.createConnection({
    host: config.database.host_project,
    user: config.database.user,
    password: config.database.password,
    port: config.database.port,
    database: config.database.dbProject
})

projectConnection.connect(function(err) {
    if (err) throw err;
})
projectConnection.query('USE '+config.database.dbProject)

var connection = {
    user: userConnection,
    project: projectConnection
}

export = connection